%define DATE 20020404
%define is_release 0
%define beta %{nil}
%define rel 2
Version: 2.1
Name: quanta
Summary: An HTML editor for KDE.
%if %{is_release}
%if "%{beta}" == ""
Source: http://download.sourceforge.net/quanta/%{name}-%{version}.tar.bz2
Release: %{rel}
%else
Source: http://download.sourceforge.net/quanta/%{name}-%{version}-%{beta}.tar.bz2
Release: 0.%{beta}.%{rel}
%endif
%else
Source: http://download.sourceforge.net/quanta/%{name}-%{DATE}.tar.bz2
Release: 0.cvs%{DATE}.%{rel}
%endif
Epoch: 1
Source1: http://download.sourceforge.net/quanta/css.tar.bz2
Source2: http://download.sourceforge.net/quanta/html.tar.bz2
Source3: http://download.sourceforge.net/quanta/php.tar.bz2
Source4: http://download.sourceforge.net/quanta/javascript.tar.bz2
Patch1: javascript.patch
URL: http://quanta.sourceforge.net/
License: GPL
Group: Applications/Editors
Buildroot: %{_tmppath}/%{name}-buildroot
Requires: kdelibs >= 3.0.0
BuildPrereq: qt-devel >= 3.0.2, kdelibs-devel >= 3.0.0
Prefix: /usr
Obsoletes: WebMaker

%description
Quanta Plus is an HTML editor for the K Desktop Environment. This
program is designed for quick Web development. Quanta is rapidly
becoming a mature editor with a number of great features. Its
objective is to produce a complete Web development environment for
active development with a focus on supporting professional level
development. This means full HTML 4.0 support including cascading
style sheets and lots of time saving features. Support for Perl,
Javascript, and PHP is being developed (and working to a small extent
in this release).

%prep
%setup -q -n %{name} -a 1 -a 2 -a 3 -a 4
%patch1 -p0 -b .javascript

%build
QTDIR="" && . /etc/profile.d/qt.sh

# Workaround for legacy auto* tools
[ -x /usr/bin/autoconf-2.5? ] && ln -s /usr/bin/autoconf-2.5? autoconf
[ -x /usr/bin/autoheader-2.5? ] && ln -s /usr/bin/autoheader-2.5? autoheader
[ -x /usr/bin/aclocal-1.5 ] && ln -s /usr/bin/aclocal-1.5 aclocal
[ -x /usr/bin/automake-1.5 ] && ln -s /usr/bin/automake-1.5 automake
export PATH=`pwd`:$PATH
# End workaround

test -f Makefile.cvs && make -f Makefile.cvs
export CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"
./configure --prefix=/usr

LANG=C make %{?smp_mflags} CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install
for i in css html php javascript ; do
	cd $i
 ./install.sh <<EOF
$RPM_BUILD_ROOT/usr/share/apps/quanta/doc
EOF
	cd ..
	rm -rf $i
done
%find_lang %{name}

cd $RPM_BUILD_ROOT/usr/share/doc/HTML/en
for i in *; do
	if [ -d $i -a -L $i/common ]; then
		rm -f $i/common
		ln -s ../common $i
	fi
done

mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Utilities
mv $RPM_BUILD_ROOT%{_datadir}/applnk/Development/quanta.desktop $RPM_BUILD_ROOT/etc/X11/applnk/Utilities

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name} $RPM_BUILD_DIR/%{name}

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/%{name}
%{_datadir}/apps/%{name}
%{_datadir}/icons/*/*/*/quanta.png
/etc/X11/applnk/Utilities/quanta.desktop
%doc %{_docdir}/HTML/en/%{name}

%changelog
* Tue Apr 16 2002 Than Ngo <than@redhat.com> 2.1-0.cvs20020404.2
- rebuild

* Thu Apr  4 2002 Bernhard Rosenkraenzer <bero@redhat.com> 2.1-0.cvs20020404.1
- Fix bug #62648

* Tue Mar 26 2002 Bernhard Rosenkraenzer <bero@redhat.com> 2.1-0.cvs20020326.1
- Update
- %%langify spec file
- Move desktop file to /etc/X11/applnk; quanta is generally useful

* Tue Jan 29 2002 Bernhard Rosenkraenzer <bero@redhat.com> 2.1-0.cvs20020129.1
- Update, fix build, KDE3ify

* Thu Aug 23 2001 Than Ngo <than@redhat.com> 2.0-0.cvs20010724.2
- fix quanta crashes on exit (Bug #51180)
- fix bad character (Bug #51509)

* Tue Jul 24 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.0-0.cvs20010724.1
- langify
- remove ia64 workarounds
- update

* Mon Jul 23 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.0-0.cvs20010723.1
- Update
- Make symlinks relative

* Thu Feb 22 2001 Than Ngo <than@redhat.com>
- update to 2.0pr1

* Wed Feb  7 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to get rid of libkdefakes.so.0 requirement

* Thu Jan  4 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Initial build, obsoletes WebMaker
